/*
 * Copyright (c) 1992, by FORTE
 *
 * This software is furnished under a license and may be used,
 * copied, or disclosed only in accordance with the terms of such
 * license and with the inclusion of the above copyright notice.
 * This software or any other copies thereof may not be provided or
 * otherwise made available to any other person. No title to and
 * ownership of the software is hereby transfered.
 */

#include "common.h"


int UltraGetOutput (void)
{
	return !(_gf1_data.mix_image & ENABLE_OUTPUT);
}


void UltraEnableOutput (void)
{
	_gf1_data.mix_image &= ~ENABLE_OUTPUT;
	outportb (_gf1_data.mix_control, _gf1_data.mix_image);

	return;
}


void UltraDisableOutput (void)
{
	_gf1_data.mix_image |= ENABLE_OUTPUT;
	outportb (_gf1_data.mix_control, _gf1_data.mix_image);

	return;
}


int UltraGetLineIn (void)
{
	return !(_gf1_data.mix_image & ENABLE_LINE_IN);
}


void UltraEnableLineIn (void)
{
	_gf1_data.mix_image &= ~ENABLE_LINE_IN;
	outportb (_gf1_data.mix_control, _gf1_data.mix_image);

	return;
}


void UltraDisableLineIn (void)
{
	_gf1_data.mix_image |= ENABLE_LINE_IN;
	outportb (_gf1_data.mix_control, _gf1_data.mix_image);

	return;
}


int UltraGetMicIn (void)
{
	return _gf1_data.mix_image & ENABLE_MIC_IN;
}


void UltraEnableMicIn (void)
{
	_gf1_data.mix_image |= ENABLE_MIC_IN;
	outportb (_gf1_data.mix_control, _gf1_data.mix_image);

	return;
}


void UltraDisableMicIn (void)
{
	_gf1_data.mix_image &= ~ENABLE_MIC_IN;
	outportb (_gf1_data.mix_control, _gf1_data.mix_image);

	return;
}
