/*
 * Copyright (c) 1992, by FORTE
 *
 * This software is furnished under a license and may be used,
 * copied, or disclosed only in accordance with the terms of such
 * license and with the inclusion of the above copyright notice.
 * This software or any other copies thereof may not be provided or
 * otherwise made available to any other person. No title to and
 * ownership of the software is hereby transfered.
 */

#include "common.h"


GUS_DMA_CB UltraDramTcHandler (GUS_DMA_CB handler)
{
	GUS_DMA_CB old_handler = _gf1_data.dram_dma_tc_func;
	_gf1_data.dram_dma_tc_func = handler;

	return old_handler;
}

MIDI_XMIT_CB UltraMidiXmitHandler (MIDI_XMIT_CB handler)
{
	MIDI_XMIT_CB old_handler = _gf1_data.midi_xmit_func;
	_gf1_data.midi_xmit_func = handler;

	return old_handler;
}

MIDI_RECV_CB UltraMidiRecvHandler (MIDI_RECV_CB handler)
{
	MIDI_RECV_CB old_handler = _gf1_data.midi_recv_func;
	_gf1_data.midi_recv_func = handler;

	return old_handler;
}

GUS_TMR_CB UltraTimer1Handler (GUS_TMR_CB handler)
{
	GUS_TMR_CB old_handler = _gf1_data.timer1_func;
	_gf1_data.timer1_func = handler;

	return old_handler;
}

GUS_TMR_CB UltraTimer2Handler (GUS_TMR_CB handler)
{
	GUS_TMR_CB old_handler = _gf1_data.timer2_func;
	_gf1_data.timer2_func = handler;

	return old_handler;
}

GUS_WAV_CB UltraWaveHandler (GUS_WAV_CB handler)
{
	GUS_WAV_CB old_handler = _gf1_data.wavetable_func;
	_gf1_data.wavetable_func = handler;

	return old_handler;
}

GUS_VOL_CB UltraVolumeHandler (GUS_VOL_CB handler)
{
	GUS_VOL_CB old_handler = _gf1_data.volume_func;
	_gf1_data.volume_func = handler;

	return old_handler;
}

GUS_REC_CB UltraRecordHandler (GUS_REC_CB handler)
{
	GUS_REC_CB old_handler = _gf1_data.record_dma_tc_func;
	_gf1_data.record_dma_tc_func = handler;

	return old_handler;
}

GUS_AUX_CB UltraAuxHandler (GUS_AUX_CB handler)
{
	GUS_AUX_CB old_handler = _gf1_data.aux_irq_func;
	_gf1_data.aux_irq_func = handler;

	return old_handler;
}
